Debian Bug report logs - #657575
Uploaders field must contain at least one human

version graph

Package: dopewars; Maintainer for dopewars is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for dopewars is src:dopewars.

Reported by: Alessio Treglia <alessio@debian.org>

Date: Fri, 27 Jan 2012 03:09:01 UTC

Severity: serious

Fixed in version dopewars/1.5.12-13

Done: Dean Evans <dean@codemonkies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#657575; Package dopewars. (Fri, 27 Jan 2012 03:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 27 Jan 2012 03:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Uploaders field must contain at least one human
Date: Fri, 27 Jan 2012 04:04:43 +0100
Package: dopewars
Severity: serious

Hi,

regarding the Uploaders field, the Debian Policy Manual ยง5.6.3 says
the following:

    [...]
    This is normally an optional field, but if the Maintainer control field
    names a group of people and a shared email address, the Uploaders field
    must be present and must contain at least one human with their personal
    email address.
    [...]

dopewars's Maintainer field has

    Debian Games Team <pkg-games-devel@lists.alioth.debian.org>

set as Maintainer but no Uploaders field is present.
This is a clear violation of the Policy.

Regards,

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#657575; Package dopewars. (Sat, 03 Mar 2012 14:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 03 Mar 2012 14:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 657575@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: debian-devel-games@lists.debian.org
Cc: Alessio Treglia <alessio@debian.org>, 657575@bugs.debian.org
Subject: Re: [dopewars] Bug#657575: Uploaders field must contain at least one human
Date: Sat, 3 Mar 2012 14:00:27 +0000
On Fri, 27 Jan 2012 at 04:04:43 +0100, Alessio Treglia wrote:
> dopewars's Maintainer field has
> 
>     Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
> 
> set as Maintainer but no Uploaders field is present.
> This is a clear violation of the Policy.

In the latest upload nearly a year ago, the uploader, Francois Marier,
removed himself from the Uploaders.

Does anyone else in the Games Team care about dopewars? If I don't get any
response for a while, I'll file the bug to remove it (I think team
membership is enough to qualify for RoM).

Regards,
    S




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#657575; Package dopewars. (Sun, 04 Mar 2012 03:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dean Evans <dean@codemonkies.net>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sun, 04 Mar 2012 03:27:10 GMT) Full text and rfc822 format available.

Message #15 received at 657575@bugs.debian.org (full text, mbox):

From: Dean Evans <dean@codemonkies.net>
To: debian-devel-games@lists.debian.org
Cc: 657575@bugs.debian.org
Subject: Re: [dopewars] Bug#657575: Uploaders field must contain at least one human
Date: Sun, 4 Mar 2012 16:24:46 +1300
On Sat, 3 Mar 2012 14:00:27 +0000
Simon McVittie <smcv@debian.org> wrote:

> On Fri, 27 Jan 2012 at 04:04:43 +0100, Alessio Treglia wrote:
> > dopewars's Maintainer field has
> > 
> >     Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
> > 
> > set as Maintainer but no Uploaders field is present.
> > This is a clear violation of the Policy.
> 
> In the latest upload nearly a year ago, the uploader, Francois Marier,
> removed himself from the Uploaders.
> 
> Does anyone else in the Games Team care about dopewars? If I don't
> get any response for a while, I'll file the bug to remove it (I think
> team membership is enough to qualify for RoM).
> 

I have been attempting to update dopewars to a simplified debhelper v9
rules file and dh-autoreconf instead of the previous maintainer updated
autotools build files.

Using autoreconf I've run into a few issues and the latest has had me
take a break from looking at dopewars for the weekend. I will push my
current local dopewars branch this week and see if I can get some
advice for a fix from debian-mentors.

Thanks,
Dean




Added tag(s) pending. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sun, 18 Mar 2012 01:15:09 GMT) Full text and rfc822 format available.

Reply sent to Dean Evans <dean@codemonkies.net>:
You have taken responsibility. (Sun, 18 Mar 2012 01:33:13 GMT) Full text and rfc822 format available.

Notification sent to Alessio Treglia <alessio@debian.org>:
Bug acknowledged by developer. (Sun, 18 Mar 2012 01:33:13 GMT) Full text and rfc822 format available.

Message #22 received at 657575-close@bugs.debian.org (full text, mbox):

From: Dean Evans <dean@codemonkies.net>
To: 657575-close@bugs.debian.org
Subject: Bug#657575: fixed in dopewars 1.5.12-13
Date: Sun, 18 Mar 2012 01:32:14 +0000
Source: dopewars
Source-Version: 1.5.12-13

We believe that the bug you reported is fixed in the latest version of
dopewars, which is due to be installed in the Debian FTP archive:

dopewars-data_1.5.12-13_all.deb
  to main/d/dopewars/dopewars-data_1.5.12-13_all.deb
dopewars_1.5.12-13.debian.tar.gz
  to main/d/dopewars/dopewars_1.5.12-13.debian.tar.gz
dopewars_1.5.12-13.dsc
  to main/d/dopewars/dopewars_1.5.12-13.dsc
dopewars_1.5.12-13_amd64.deb
  to main/d/dopewars/dopewars_1.5.12-13_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 657575@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dean Evans <dean@codemonkies.net> (supplier of updated dopewars package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 12 Mar 2012 19:57:31 +1300
Source: dopewars
Binary: dopewars dopewars-data
Architecture: source amd64 all
Version: 1.5.12-13
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Dean Evans <dean@codemonkies.net>
Description: 
 dopewars   - drug-dealing game set in streets of New York City
 dopewars-data - drug-dealing game set in streets of New York City - data files
Closes: 642073 643097 657575
Changes: 
 dopewars (1.5.12-13) unstable; urgency=low
 .
   * Created quilt patches for locally changed files and reverted
     the changed files to their source originals.
   * Add patch to remove the libtool macro's to stop the libtool
     version mismatch error when using dh-autoreconf.
   * Removed executable permission from the patch files.
   * Bump compat to 9 to automatically get hardening buildflags.
   * Add patches to fix two -Werror=format-security errors.
   * Add my self to Uploaders. (Closes: #657575)
   * Bump Standards-Version to 3.9.3 with out change.
   * Modify the Build-depends for the simplified rules file and
     autoreconf.
   * Rewrite with a simplified debhelper v9 rules file.
     (Closes: #643097)
   * Use 'clean' to remove unnecessary files.
   * Install files with *.install files now we are using a simplified
     rules file.
   * Install the manpage with dopewars.manpages.
   * Add a patch to correct the path to the score file in the manpage.
     (Closes: #642073)
   * Tidied formatting with wrap-and-sort -s.
Checksums-Sha1: 
 a4e07a3618530e0a76743f3459593340f9b8f002 2086 dopewars_1.5.12-13.dsc
 62daa03eeb77e003bfebd667fd4520974238e7d7 92088 dopewars_1.5.12-13.debian.tar.gz
 93f2562f60448179fdf9fbfb4c961b08baa5e7c8 163478 dopewars_1.5.12-13_amd64.deb
 343ec7b1532896bdc09a53fff863a5832ccb1513 446360 dopewars-data_1.5.12-13_all.deb
Checksums-Sha256: 
 804ed78a3f5b3233ddf9e82871d4e336a67d3935fe7306a23bd8d5e70d3a0f1e 2086 dopewars_1.5.12-13.dsc
 d8976d8e67eaa622d66387dccca94db1ac7631206f02cac2c3288eca1bdc938f 92088 dopewars_1.5.12-13.debian.tar.gz
 01c2e8290e4190aa41aa7cdd96c6f674f25e38952c0895ba691b9614f5ae6ee2 163478 dopewars_1.5.12-13_amd64.deb
 bdf3d325e98a476219138a9e87a81928c6e7fb6f465ae4f45ff98188a3feaef3 446360 dopewars-data_1.5.12-13_all.deb
Files: 
 5d6c6c77439a17cc7de45f3524aa0f2e 2086 games extra dopewars_1.5.12-13.dsc
 e5af687252ef63a0cf94ba4fa0e38316 92088 games extra dopewars_1.5.12-13.debian.tar.gz
 87dbc2ccbb04448fc6a9f67f31e4a29a 163478 games extra dopewars_1.5.12-13_amd64.deb
 1cffe7b7626024d0bb04dfce62053bce 446360 games extra dopewars-data_1.5.12-13_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPZTaoAAoJEDEWul6f+mmjHsQQAIV6c0/xWTMpFnfGUepiaxCc
B/KbXeFvmD8RaovhqQQh/QrPamSvr3O9nyQbLoGmRN+CPd+JOWbG6yMaLyQhAhPb
d1tdO5+7oYFbKPd0a0xU5iTuiOaLhX2oT9rTpKOGW4F0vuRlzAQdlZVBYNew9/dE
vKTQiVlibOF5h/+YdNQVqbLcy+4Hhl8kj7sJsFX8c23H+PmfbGcHkK5yzWJk++22
ZFo6OC7nDQ/ByLJ5bJ2ly+6xWk1Ou7eZdptpPFrBTP8x2ofYNp/41e8/a61ltiQw
n31wuyM2hDIpUi+QzFhta3A/I2rmYGSCyePBitLVYq1kCozqLkYUwAbjqrm602Mx
RSod7F1Mbq7ccTS3L0hxxfeo7kM61wY6K//P0i7bl4azhV9rZQxrw/fw8E3OnL5A
gNKbXeydquMTqABEWLs2/q63e26xhkrpRzMt4NHZFCyNbYOqydNv9giSpYV9RE3P
vHcp3rjjHffzrQQ2jO3sP/fN0swowaT8iuxsCLZQfdsZ219ss+5uRECWqgeffkrX
aKgRGYsuYxrqr3CDUFLL/9Fy5iYMzfA37F1T/qCN1/3YRgTytvOmXnSkLfdcrAvC
pntijAc56tlUr29GdjbTkzNCEJR9+eZkaoOVG+rmFPbIfxdNXRcrLxC7SGYy32i+
pwP6qHeITeA46Ce2ejOR
=bmmJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 08:16:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:16:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.